#
# spec file for package libnids (Version 1.16)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  libnet libpcap
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libnet libpcap libtool libz pam perl rpm

Name:         libnids
Summary:      A Network Intrusion Detection System library
Version:      1.16
Release:      428
License:      GPL
Group:        System/Libraries
URL:          http://www.packetfactory.net/Projects/libnids/
Source:       libnids-%{version}.tar.bz2
Patch:        libnids-%{version}.dif
Patch1:       libnids-%{version}-memory-corruption-fix.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Libnids is a library that provides a functionality of one of NIDS (Network
Intrusion Detection System) components, namely E-component. It means that
libnids code watches all local network traffic, cooks received datagrams a bit,
and provides convenient information on them to analyzing modules of NIDS.
Libnids performs:


a) assembly of TCP segments into TCP streams

b) IP defragmentation

c) TCP port scan detection


More technical info can be found in MISC file.  So, if you intend to develop a
custom NIDS, you don't have to build low-level network code. If you decide to
use libnids, you have got E-component ready - you can focus on implementing
other parts of NIDS.

Authors:
--------
    Noah Friedman <friedman@prep.ai.mit.edu>

SuSE series: d

%prep
%setup
%patch
%patch1

%build
%{?suse_update_config:%{suse_update_config}}
autoconf
CFLAGS="$RPM_OPT_FLAGS"	./configure \
    --prefix=/usr \
    --mandir=%{_mandir} \
    --libdir=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES CREDITS MISC README doc/ samples/
%doc %{_mandir}/man3/*
%{_libdir}/libnids.a
/usr/include/nids.h

%changelog -n libnids
* Wed Oct 29 2003 - postadal@suse.cz
- fixed buffer overflow in TCP stream reassembly code [#32541] (CAN-2003-0850)
* Wed Jan 09 2002 - cihlar@suse.cz
- use %%{_libdir}
* Wed Feb 14 2001 - cihlar@suse.cz
- update to version 1.16
- added samples to documentation
- clean up spec file
* Thu Nov 16 2000 - grimmer@suse.de
- initial package (version 1.14)
